package net.northking.cctp.executePlan.dto.planTask;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>Title: StepExecuteResult</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/27
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class StepExecuteResult implements Serializable {

    private String retId;   // 步骤执行结果id
    private String scriptId;    // 脚本id
    private String stepId;      // 步骤id
    private ScriptStep step;    // 步骤信息

    private String nextStepId;  // 下一步骤id
    private boolean success;    // 执行结果
    private boolean isExecuted; // 是否已经执行了
    private String msg; //
    private boolean finish;    //
    private String actualImgUri;    // 实际截图地址
    private String imgUri;          // 截图地址
    private String requestId;

    private String inputMsg;
    private List<StepExecuteResult> childResult;
    private long executeTime;

    private Map<String, Object> result = new HashMap<>();

    private Map<String, Object> paramMap = new HashMap<>();

    private String outputMsg;

    public String getOutputMsg() {
        return outputMsg;
    }

    public void setOutputMsg(String outputMsg) {
        this.outputMsg = outputMsg;
    }

    public String getRetId() {
        return retId;
    }

    public void setRetId(String retId) {
        this.retId = retId;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public ScriptStep getStep() {
        return step;
    }

    public void setStep(ScriptStep step) {
        this.step = step;
    }

    public String getNextStepId() {
        return nextStepId;
    }

    public void setNextStepId(String nextStepId) {
        this.nextStepId = nextStepId;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public boolean isExecuted() {
        return isExecuted;
    }

    public void setExecuted(boolean executed) {
        isExecuted = executed;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public boolean isFinish() {
        return finish;
    }

    public void setFinish(boolean finish) {
        this.finish = finish;
    }

    public String getActualImgUri() {
        return actualImgUri;
    }

    public void setActualImgUri(String actualImgUri) {
        this.actualImgUri = actualImgUri;
    }

    public String getImgUri() {
        return imgUri;
    }

    public void setImgUri(String imgUri) {
        this.imgUri = imgUri;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getInputMsg() {
        return inputMsg;
    }

    public void setInputMsg(String inputMsg) {
        this.inputMsg = inputMsg;
    }

    public List<StepExecuteResult> getChildResult() {
        return childResult;
    }

    public void setChildResult(List<StepExecuteResult> childResult) {
        this.childResult = childResult;
    }

    public long getExecuteTime() {
        return executeTime;
    }

    public void setExecuteTime(long executeTime) {
        this.executeTime = executeTime;
    }

    public Map<String, Object> getResult() {
        return result;
    }

    public void setResult(Map<String, Object> result) {
        this.result = result;
    }

    public Map<String, Object> getParamMap() {
        return paramMap;
    }

    public void setParamMap(Map<String, Object> paramMap) {
        this.paramMap = paramMap;
    }
}
